

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ia64/mm/hugetlbpage.c |    4 ++--
 mm/memory.c                        |    0 
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ia64/mm/hugetlbpage.c~freepgt-hugetlb_free_pgd_range-fix-aio-panic-fix arch/ia64/mm/hugetlbpage.c
--- 25/arch/ia64/mm/hugetlbpage.c~freepgt-hugetlb_free_pgd_range-fix-aio-panic-fix	Fri Mar 25 14:49:22 2005
+++ 25-akpm/arch/ia64/mm/hugetlbpage.c	Fri Mar 25 14:49:22 2005
@@ -204,9 +204,9 @@ void hugetlb_free_pgd_range(struct mmu_g
 
 	addr = htlbpage_to_page(addr);
 	end  = htlbpage_to_page(end);
-	if (is_hugepage_only_range(floor, HPAGE_SIZE))
+	if (is_hugepage_only_range(tlb->mm, floor, HPAGE_SIZE))
 		floor = htlbpage_to_page(floor);
-	if (is_hugepage_only_range(ceiling, HPAGE_SIZE))
+	if (is_hugepage_only_range(tlb->mm, ceiling, HPAGE_SIZE))
 		ceiling = htlbpage_to_page(ceiling);
 
 	free_pgd_range(tlb, addr, end, floor, ceiling);
diff -puN mm/memory.c~freepgt-hugetlb_free_pgd_range-fix-aio-panic-fix mm/memory.c
_
